%define lib_major	2
%define lib_name	%mklibname xfce4mcs %{lib_major} 

Summary: 	Multi-channel settings management support for Xfce
Name: 		libxfce4mcs
Version: 	4.2.3
Release: 	%mkrel 1
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	libxfce4util-devel >= %{version}
BuildRequires:	XFree86-devel

%description
Multi-channel settings management support for Xfce.


%package -n %{lib_name}
Summary:	Multi-channel settings management support for Xfce
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Multi-channel settings management support for Xfce.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the libxfce4mcs library
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	libxfce4mcs-devel

%description -n %{lib_name}-devel
Libraries and header files for the libxfce4mcs library.


%prep
%setup -q

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/%{name}
%{_datadir}/gtk-doc/*


%changelog
* Mon Jan 16 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- rebuild for 2006 Community

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- adjust soname major

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Fri Jan 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.1mdk
- 2.1.7
- use configure2_5 and makeinstall_std

* Sat Nov 15 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- buildrequires

* Fri Nov 14 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1

* Mon Nov 10 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

